#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Shared;
using Syncfusion.DLS;
using Syncfusion.Pdf.DLS;
using Syncfusion.DocIO.DLS;

namespace EssentialPDFSamples
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label1;
		
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.button1 = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Anchor = (System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right);
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button1.Image = ((System.Drawing.Bitmap)(resources.GetObject("button1.Image")));
			this.button1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.button1.Location = new System.Drawing.Point(464, 72);
			this.button1.Name = "button1";
			this.button1.TabIndex = 0;
			this.button1.Text = "PDF";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// label1
			// 
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.label1.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(544, 56);
			this.label1.TabIndex = 1;
			this.label1.Text = @"Clicking the button below will result in a new PDF document being generated using Essential PDF.  At the end of the document generation, an option will be provided to view the generated PDF file. Please note that you need to have a PDF viewer installed in order to view the generated PDF file.";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(544, 102);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.label1,
																		  this.button1});
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "Form1";
			this.Text = "Essential PDF Sample";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{

			//Create a PDF document.
			PDFLogicDocument document = new PDFLogicDocument();

			//Formatting using Styles

			IPDFParagraphStyle style1 = document.AddStyle( StyleType.ParagraphStyle, "style1" ) as IPDFParagraphStyle;
			style1.CharacterFormat.FontSize = 20;
			style1.CharacterFormat.RenderMode = RenderMode.FillStroke;
			style1.CharacterFormat.WordSpace = 5;
			style1.CharacterFormat.TextColor = Color.FromArgb( 222, 100, 19 );

			IPDFParagraphStyle style2 = document.AddStyle( StyleType.ParagraphStyle, "style2" ) as IPDFParagraphStyle;
			style2.CharacterFormat.FontSize = 14;
			style2.CharacterFormat.RenderMode = RenderMode.Stroke;
			style2.CharacterFormat.HorizontalScaling = 100;
			style2.CharacterFormat.Strikeout = true;

			IPDFParagraphStyle style3 = document.AddStyle( StyleType.ParagraphStyle, "style3" ) as IPDFParagraphStyle;
			style3.CharacterFormat.SetFont( FontBaseFamily.TimesRoman , 14 );

			IPDFSection section = document.AddSection();
			section.AddParagraph().AppendText( "DLS styles" );

			IPDFParagraph paragraph1 = section.AddParagraph();
			paragraph1.ApplyStyle( "style1" );

			IPDFTextRange text1 = paragraph1.AppendText( "Using style1, TextSize = 20, WordSpace = 20, RenderMode.Stroke" );
			text1.CharacterFormat.RenderMode = RenderMode.StrokeAdd;
			text1.CharacterFormat.WordSpace = 20;

			IPDFTextRange text2 = paragraph1.AppendText( "Using style1, TextSize = 25, WordSpace = 5, RenderMode.FillStrokeAdd" );
			text2.CharacterFormat.FontSize = 25;
      
			IPDFParagraph paragraph2 = section.AddParagraph();
			paragraph2.ApplyStyle( "style2" );

			IPDFTextRange text3 = paragraph2.AppendText( "Using style2, FontSize = 10, HorizontalScaling = 50, RenderMode.Stroke, Strikeout = true" );
			text3.CharacterFormat.FontSize = 10;
			text3.CharacterFormat.HorizontalScaling = 50;

			IPDFTextRange text4 = paragraph2.AppendText( "Using style2, FontSize = 14, HorizontalScaling = 40, RenderMode.Stroke, Strikeout = false, TextLeading = 20" );
			text4.CharacterFormat.Strikeout = false;
			text4.CharacterFormat.TextLeading = 20;
			text4.CharacterFormat.HorizontalScaling = 40;

			IPDFTextRange text5 = paragraph2.AppendText( "Using stye2, FontSize = 14, HorizontalScaling = 100, RenderMode.Stroke, Strikeout = true" );
			text5.CharacterFormat.RenderMode = RenderMode.Stroke;

			IPDFParagraph paragraph3 = section.AddParagraph();
			paragraph3.ApplyStyle( "style3" );

			IPDFTextRange text6 = paragraph3.AppendText( "Using style3, Font = ArialMT, Bold, Italic, FontSize = 16" );
			Font systemFont = new Font( "ArialMT", 16, FontStyle.Bold | FontStyle.Italic );
			text6.CharacterFormat.SetFont( systemFont );

			IPDFTextRange text7 = paragraph3.AppendText( "Using style3, Font = FontBaseFamily.TimesRoman, FontSize = 14, Strikeout = true" );
			text7.CharacterFormat.Strikeout = true;

			IPDFTextRange text8 = paragraph3.AppendText( "Using styel3, Font = FontBaseFamily.Symbol, FontSize = 20" );
			text8.CharacterFormat.SetFont( FontBaseFamily.Symbol , 20 );

			IParagraph par = section.AddParagraph();
            par.AppendText ( "Center Alignment" );
			par = section.AddParagraph();
			par.ParagraphFormat.HorizontalAlignment  = Syncfusion.DLS.HorizontalAlignment.Center;
            par.AppendText ( "Essential DocIO is a Non UI component that can be used in both Windows and ASP.NET forms. The usage is common for both environments except for the part where the created document is saved to disk or stream in the case of Windows forms application and streamed to the client browser in the case of ASP.NET applications. Please note that there are no temporary documents saved on the server in an ASP.NET application." );

			par = section.AddParagraph();			
			par.AppendText ( "Left Indent" );
			par = section.AddParagraph();
			par.ParagraphFormat.LeftIndent = 35;
			par.AppendText ( "Essential DocIO is a Non UI component that can be used in both Windows and ASP.NET forms. The usage is common for both environments except for the part where the created document is saved to disk or stream in the case of Windows forms application and streamed to the client browser in the case of ASP.NET applications. Please note that there are no temporary documents saved on the server in an ASP.NET application." );


			//Save the Document to the disk.
			document.Save("Sample.pdf");

			// Save a PDF document as XML.
			document.SaveXml( "sample.xml" );
			
			// Creating a new word document.
			WordDocument WordDoc = new WordDocument();
			
			// Open an XML file through Word document object.
			WordDoc.OpenXml( "sample.xml" );
			
			// Save word document to disk
			WordDoc.Save( "sample.doc" );

			//Message box confirmation to view the created PDF document.
			if (MessageBox.Show ("Do you want to view the PDF & Word file?", "Files Created",
				MessageBoxButtons.YesNo, MessageBoxIcon.Information)
				== DialogResult.Yes) 
			{
				//Launching the document files.
				System.Diagnostics.Process.Start("Sample.pdf");
				System.Diagnostics.Process.Start("Sample.doc");
				this.Close();
			}
			else
			{
				// Exit
				this.Close();
			}
		}

	}
}
